var comp;
AdobeEdge.bootstrapCallback(function(compId) {
comp = AdobeEdge.getComposition(compId).getStage();
/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
        /* TotalTextArea = 4;
         //RESPUESTAS -- CAMBIAR VALORES
         sym.setVariable("Respuesta_1", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_2", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_3", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_4", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_5", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_6", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_7", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_8", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_9", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_10", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_11", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_12", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_13", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_14", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_15", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_16", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_17", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_18", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_19", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_20", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_21", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_22", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_23", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_24", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_25", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_26", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_27", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_28", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_29", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_30", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_31", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_32", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_33", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_34", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_35", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_36", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_37", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_38", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_39", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_40", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_41", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_42", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_43", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_44", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_45", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_46", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_47", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_48", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_49", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_50", "REEMPLAZAR POR VALOR");
		 */
         
         sym.$('.center-wrapper').css("overflow","hidden");
         //tipo de actividad
         sym.setVariable("tipoactividad", "textarea");
         //Variables de colores
         sym.setVariable("border", "2px solid #cccccc");
         //sym.setVariable("border", "none");
         sym.setVariable("fondo", "rgba(255,255,255,0.50)");
         sym.setVariable("colorini", "#666666");
         sym.setVariable("colorok", "#666666");
         sym.setVariable("fondook","rgba(255,255,255,0.80)");
         sym.setVariable("colorbad", "#ffffff");
         sym.setVariable("fondobad", "#f3716c");
         sym.setVariable("fontsize", "24px");
         sym.setVariable("fontFamily", "Cabin");
         sym.setVariable("fontStyle", "normal");
         sym.setVariable("textAlign", "left");
         sym.setVariable("fontweight", "bold");
         sym.setVariable("height", "auto");
         sym.setVariable("border-radius", "5px");
         
         sym.getSymbol("bt_validar").stop("normal");
         sym.getSymbol("bt_solucion").stop("down");
         sym.getSymbol("bt_reiniciar").stop("down");
         sym.getSymbol("bt_ayuda").stop("normal");
         sym.$("hotspot_validar").show();
         sym.$("hotspot_solucion").hide();
         sym.$("hotspot_reiniciar").hide();
         sym.$("hotspot_ayuda").show();
         
         //Llammar variables creation Complete
         var tipoactividad = sym.getVariable("tipoactividad");
         var color = sym.getVariable("colorini");
         var border = sym.getVariable("border");
         var tamano = sym.getVariable("fontsize");
         var fontweight = sym.getVariable("fontweight");
         var fondo = sym.getVariable("fondo");
         var borderRadius= sym.getVariable("border-radius");
         var textAlign= sym.getVariable("textAlign");
         transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras 
         
         
         
         // Agregar los input dinámicamente
         for (i=1 ; i<= TotalTextArea; i++){
         sym.$("TextArea_"+i).css("background","rgba(255,255,255,0.50)");
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement(tipoactividad);
         	nombreElemento.id="seleccion_"+i;
         	var anchoTextArea = sym.$("TextArea_"+i).css("width");
         	var altoTextArea = sym.$("TextArea_"+i).css("height");
         	nombreElemento.style.width= anchoTextArea;	 
         	nombreElemento.style.height= altoTextArea;
         	nombreElemento.style.border= border;
         	nombreElemento.style.color= color;
         	nombreElemento.style.background= fondo;
         	nombreElemento.style.fontSize= tamano;
         	nombreElemento.style.fontWeight= fontweight;
         	nombreElemento.style.textAlign= textAlign;
         	nombreElemento.style.webkitBorderRadius=borderRadius;
         	nombreElemento.style.mozBorderRadius=borderRadius;
         	nombreElemento.style.borderRadius=borderRadius;
         	nombreElemento.style.padding= "10px";
         	sym.$("TextArea_"+i).append(nombreElemento);
         }
         
		 /*
         $("textarea").focus(function() {
            $(this).val('');
         });
         */
         
         //BOTÓN VALIDAR
         sym.$('hotspot_validar').click(function(){
         //Definición de variables
         var Total= 0;
         var tipoactividad = sym.getVariable("tipoactividad");
         var colorok = sym.getVariable("colorok");
         var fondook = sym.getVariable("fondook");
         var colorbad = sym.getVariable("colorbad");
         var fondobad = sym.getVariable("fondobad");
         var wrong = '';
         
         for(i=1; i<=TotalTextArea; i++){
         	sym.$("TextArea_"+i).children(tipoactividad).each(function(){
         	if($(this).attr("id")=="seleccion_"+i){		
         		if(transformarTexto == true){
         			var ValorTextArea = $(this).val().toUpperCase();
         			var ValorTemp = sym.getVariable("Respuesta_"+i).toUpperCase(); 
         			console.log('TextArea: '+ValorTextArea+'  -  Resp: '+ValorTemp);
         		}
         		else{
         			var ValorTextArea = $(this).val();
         			var ValorTemp = sym.getVariable("Respuesta_"+i);
         			console.log('TextArea: '+ValorTextArea+' -  Resp: '+ValorTemp);
         		}
         
         		if(ValorTextArea==ValorTemp){
         			$(this).css({color: colorok ,background: fondook});
         		}
         		else{
         			wrong = 1;
         			$(this).css({color: colorbad,background: fondobad});
         		}
         		$(this).attr('disabled','disabled');
         	}
         });
         }
         
         if (wrong == 1){
         	//botones
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").show();
         	sym.$("hotspot_reiniciar").show();
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("normal");
         	sym.getSymbol("bt_reiniciar").stop("normal");
            sym.$("resp_incorrecta").show();
         	setTimeout('$("#Stage_resp_incorrecta").fadeOut("slow");', 2500);
         	//audio incorrecto
         	sym.$("error")[0].play();
         	sym.$("error")[0].muted = false;
         
         }
         else{
         	//botones
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").hide();
         	sym.$("hotspot_reiniciar").show();
         	//mensaje respuesta correcta
         	sym.$("resp_correcta").show();
         	setTimeout('$("#Stage_resp_correcta").fadeOut("slow");', 2500);
         	//audio correcto
         	sym.$("success")[0].play();
         	sym.$("success")[0].muted = false;
         
         }
         
         });
         //BOTÓN SOLUCIÓN
         sym.$('hotspot_solucion').click(function(){
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").hide();
         	sym.$("hotspot_reiniciar").show();
         
         //Oculta las leyendas
         sym.$("resp_correcta").hide();
         sym.$("resp_incorrecta").hide();
         sym.$("comprobarRespuesta").hide();
         
         var colorok = sym.getVariable("colorok");
         var fondook = sym.getVariable("fondook");
         
         var tipoactividad = sym.getVariable("tipoactividad");
         
         for(i=1; i<=TotalTextArea; i++){
         	sym.$("TextArea_"+i).children(tipoactividad).each(function(){
         	if($(this).attr("id")=="seleccion_"+i){
         		var Resp = sym.getVariable("Respuesta_"+i);
         		$(this).val(Resp);
         		$(this).val().toUpperCase();
         		$(this).css({color: colorok ,background: fondook}
         		);
         	}
         	});
         }
         
         });
         //BOTÓN REINICIAR
         sym.$('hotspot_reiniciar').click(function(){
         //botones
         	sym.getSymbol("bt_validar").stop("normal");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("down");
         	sym.$("hotspot_validar").show();
         	sym.$("hotspot_reiniciar").hide();
         	sym.$("hotspot_solucion").hide();  
         //Oculta las leyendas
         sym.$("resp_correcta").hide();
         sym.$("resp_incorrecta").hide();
         
         var colorini = sym.getVariable("colorini");
         var fondoini = sym.getVariable("fondo");
         var tipoactividad = sym.getVariable("tipoactividad");
         
         for(i=0; i<=TotalTextArea; i++){
         	sym.$("TextArea_"+i).children(tipoactividad).each(function(){
         	if($(this).attr("id")=="seleccion_"+i){
         		$(this).val("");
         		$(this).css({color: colorini,background: fondoini});
         		$(this).removeAttr('disabled');
         	}
         });
         }
         
         });
         //BOTÓN AYUDA
         sym.$('hotspot_ayuda').click(function(){
         if (sym.$("help").is(":visible")) {
         	sym.$("help").hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         } else {
         	sym.$("help").show();
         	sym.getSymbol("bt_ayuda").stop("down");
         }
         
         
         });
         
         //ocultar ayuda
         sym.$("help").click(function(){
         	$(this).hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         });

      });
      //Edge binding end

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_validar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

})(jQuery, AdobeEdge, "EDGE-1010687340");

});